apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: airshelf-ingress
  annotations:
    kubernetes.io/ingress.class: "traefik"
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    traefik.ingress.kubernetes.io/router.middlewares: "default-redirect-https@kubernetescrd"
spec:
  tls:
  - hosts:
    - airshelf.airlabs.art
    secretName: airshelf-tls
  rules:
  - host: airshelf.airlabs.art
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: airshelf-web
            port:
              number: 80
